2018-03-22 18:13 EDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002482FSSCPgameplaypublic2012-05-20 15:29
Assigned ToGoober5000 
StatusclosedResolutionwon't fix 
Product Version3.6.14 RC1 
Target Version3.6.14Fixed in Version3.6.14 
Summary0002482: After you complete sm3-10.fs2 the campaign does not "end"
DescriptionWhen you complete the freespace2 campaign (with the bad ending), the campaign is not put into the "ended" state. If you select "continue campaign" you get the option to reply mission sm3-10.fs2 again.

In antipodes 8 this applies to the "bad" ending only, the good ending does correctly end the campaign. i.e. when you select "continue campaign" a popup appears saying that the campaign has ended. The exact text is:

The campaign is over. To replay the campaign, either create a new pilot or rest
art the campaign in the campaign room.

However I believe there's a bug which prevents the "good" ending cutscenes from playing. I have suggested a patch which can be found in the following forum post:


When you apply this patch the "good" ending also results in the campaign not "completing", the same as the "bad" ending.

I've attached a pilot which has finished the campaign with the "bad" ending. You can see the cutscenes unlocked in the tech room, but you can still play the last mission.

Lastly, from memory, this used to occur in retail as well.
Additional InformationOS: Ubuntu x86_64
FSO: Antipodes 8 SVN 7458
Mods: mediavps_3612
TagsNo tags attached.
Attached Files

related to 0002478resolvedGoober5000 "No Debriefing for mission: SM3-10.fs2" screen and ending cutscenes will not play if player reaches jump node successfully 



niffiwan (developer)

Sorry - attached the wrong set of pilot files the 1st time around, please remove sm3-10-completed.7z.

sm3-10-completed-REALONE.7z has the correct pilot files


niffiwan (developer)

Just realised you probably need karajorma's modified freespace2.fs2 campaign file, otherwise the pilot will probably start you in the 2nd training mission.


Yarn (developer)

I believe that this was intentional. Think about it. There are two possible endings: one for being killed by the supernova, and another for getting to the node alive. The current behavior (which is also the retail behavior) is to not "end" the campaign after the cutscenes. This allows the player to replay the mission and try to get the other ending.

Remember, this is a 30-mission campaign. If the campaign were to actually end, the player would have to play the entire campaign again just for a shot at the other ending.

Also remember that much of the action in that mission takes place well away from the node, and the mission gives a warning of less than a minute to get to the node. This makes it quite difficult to get the good ending unless the player stays near the node for the whole mission (which most players would not know to do).

Having to play a long game all over again just because you died seconds before the end is one of the most punishing aspects any game can have. For these reasons, ending the campaign would be a downgrade to what we have now. A better idea, if it's feasible, would be to display a message after the ending that the campaign is over and that the mission can be replayed for a different ending.


Goober5000 (administrator)

Perhaps, but there was some very specific behavior in retail and I want to know if it has changed (whether for better or for worse). I'll need to run some tests. Or if someone here would be willing to run them, that would help save me some time.

I just need someone to find out whether the campaign ends or not for both the good ending and the bad ending, in the retail campaign, using retail FS2. This can be done without the need for messing around with pilot files by using the "skipmemymissionyo" cheat. Type in the file name of the mission (sm3-10.fs2) to jump immediately to that mission. (Or you might want to jump to sm3-09 to be safe, since that's the first of a red-alert pair.)


Yarn (developer)

I just finished testing this in retail, and the behavior is pretty much as I remembered it. There are three possible outcomes to this mission (besides standard death, of course):

1. After the supernova starts, the player jumps out at the node alive. The good ending (endpart1 and endprt2a) is played. The player is then sent to the mainhall. Campaign progress has not changed, nor has the campaign "ended," so clicking the Ready Room starts the mission again (assuming the mission-skip cheat was not used).

2. Same as above, but the player dies instead of jumping out, and the bad ending (endpart1 and endprt2b) is played instead of the good ending.

3. The player jumps out at the node before the supernova starts. The debriefing screen appears without a debriefing. No cutscene is played. The campaign properly "ends"--clicking the Ready Room makes the "This campaign is over" message display.


Goober5000 (administrator)

That's what I thought. So, to restate: whether the "good" movie plays or the "bad" movie plays, you always have the opportunity to replay the final mission. The only way the campaign ends properly is if you jump out and get the "No debriefing for mission Apocalypse" message, which comes without movies. Correct?


Yarn (developer)

Yes, that's correct. Remember that the "no debriefing" screen appears only if you jump out before the supernova. If you jump out during the supernova, the good ending plays, without the debriefing.

Barring Mantis 0002478, the current version of FSO (3.6.14 RC4) works just like retail in this regard.


jon118 (reporter)

Last edited: 2012-02-01 11:31

View 14 revisions

As Yarn mentioned above, the first possible ending (the good one), only happens if issue 0002478 is fixed and returned to its retail behavior (and the player jumps out *DURING* the supernova *AND* also jumps while *INSIDE* the node, but *BEFORE* the supernova hits the player's ship)--just in case that needed to be clarified.

If issue 0002478 is *not* fixed, then the campaign end behavior is *not* like retail, and the good end cutscene is *not* played--no matter what the player does in the campaign. (And the campaign is closed, forcing the player to start over from the beginning because the cutscene did not play.)

From what Yarn mentioned on possible ending 3 (player jumps out at the node before the supernova starts), it sounds like *that* would be the main thing to fix in regard to this 0002482 issue (even if that actually is the original retail behavior), since it closes the campaign and forces the player to start over if they accidentally hit "Alt+J" at the wrong place and time.


niffiwan (developer)

I think that we only need to fix option 3 from Yarns comment above. The options here could be to either:

1) code in a special case for this mission that will fail the mission if you'd otherwise get a "no debriefing" message

2) create a new mission file (to distribute with the media_vps?) that has an appropriate failure debriefing message & a "success objective" that become true when the supernova starts



Yarn (developer)

Assuming it's allowed, you could also alter the "Allow warp outs" sexp to allow departure only after the supernova starts. To do this, you could change this:

$Formula: ( when
   ( <
      ( distance "Alpha 1" "Jump Node:1" )
   ( allow-warp "Alpha 1" )
+Name: Allow warp outs
+Repeat Count: 999
+Interval: 4

...to this:

$Formula: ( when
   ( and
      ( <
         ( distance "Alpha 1" "Jump Node:1" )
      ( is-event-true-delay
         "May continue"
   ( allow-warp "Alpha 1" )
+Name: Allow warp outs
+Repeat Count: 999
+Interval: 4


niffiwan (developer)

That sounds like a better idea than my option 2.


Goober5000 (administrator)

Closing as a consequence of fixing 0002478. Whether by accident or by design, the FreeSpace2 campaign does not "end" in the normal way. But this allows you to play both endings.

Yarn, you may want to bring up your "allow warpout" sexp to the attention of the FreeSpace Upgrade Project.

-Issue History
Date Modified Username Field Change
2011-08-13 06:40 niffiwan New Issue
2011-08-13 06:40 niffiwan File Added: sm3-10-completed.7z
2011-08-13 06:41 niffiwan File Added: fs2_open.log
2011-08-13 06:48 niffiwan File Added: sm3-10-completed-REALONE.7z
2011-08-13 06:49 niffiwan Note Added: 0012764
2011-08-20 01:37 karajorma File Deleted: sm3-10-completed.7z
2011-08-20 05:58 niffiwan File Added: SM3-09-FromClashOfTheTitansII.rar
2011-08-20 05:59 niffiwan Note Added: 0012774
2011-10-30 03:57 Goober5000 Assigned To => Goober5000
2011-10-30 03:57 Goober5000 Priority normal => urgent
2011-10-30 03:57 Goober5000 Status new => acknowledged
2011-10-30 03:57 Goober5000 Target Version => 3.6.14
2011-10-30 03:58 Goober5000 Relationship added related to 0002478
2011-11-08 12:16 chief1983 Product Version Antipodes 8 => 3.6.14 RC1
2012-01-30 18:39 Yarn Note Added: 0013203
2012-01-31 00:09 Goober5000 Note Added: 0013205
2012-01-31 01:31 Yarn Note Added: 0013208
2012-01-31 23:51 Goober5000 Note Added: 0013216
2012-02-01 00:09 Yarn Note Added: 0013217
2012-02-01 10:52 jon118 Note Added: 0013224
2012-02-01 10:55 jon118 Note Edited: 0013224 View Revisions
2012-02-01 10:57 jon118 Note Edited: 0013224 View Revisions
2012-02-01 10:58 jon118 Note Edited: 0013224 View Revisions
2012-02-01 11:01 jon118 Note Edited: 0013224 View Revisions
2012-02-01 11:09 jon118 Note Edited: 0013224 View Revisions
2012-02-01 11:10 jon118 Note Edited: 0013224 View Revisions
2012-02-01 11:12 jon118 Note Edited: 0013224 View Revisions
2012-02-01 11:14 jon118 Note Edited: 0013224 View Revisions
2012-02-01 11:15 jon118 Note Edited: 0013224 View Revisions
2012-02-01 11:24 jon118 Note Edited: 0013224 View Revisions
2012-02-01 11:25 jon118 Note Edited: 0013224 View Revisions
2012-02-01 11:30 jon118 Note Edited: 0013224 View Revisions
2012-02-01 11:31 jon118 Note Edited: 0013224 View Revisions
2012-05-10 17:41 niffiwan Note Added: 0013543
2012-05-10 18:05 Yarn Note Added: 0013545
2012-05-12 00:01 niffiwan Note Added: 0013550
2012-05-20 15:29 Goober5000 Note Added: 0013577
2012-05-20 15:29 Goober5000 Status acknowledged => closed
2012-05-20 15:29 Goober5000 Resolution open => won't fix
2012-05-20 15:29 Goober5000 Fixed in Version => 3.6.14
+Issue History